/// <reference types="youtube" />
import { PlayerDetails } from "./types";
interface Options {
    origin: string;
    autoplay: boolean;
    host: string;
    loop: boolean;
    mute: boolean;
    start: number;
    end: number;
}
interface Props {
    id: string;
    type: "playlist" | "video";
    options?: Partial<Options>;
    events?: Partial<{
        onReady: (event: YT.PlayerEvent) => void;
        onStateChange: (event: YT.OnStateChangeEvent) => void;
        onError: (event: YT.OnErrorEvent) => void;
    }>;
}
interface Actions {
    playVideo: () => void;
    stopVideo: () => void;
    pauseVideo: () => void;
    nextVideo: () => void;
    previousVideo: () => void;
    setVolume: (volume: number) => void;
    seekTo: (seconds: number, allowSeekAhead: boolean) => void;
}
interface YoutubeHook {
    playerDetails: PlayerDetails;
    actions: Actions;
}
export declare const useYoutube: ({ id, type, options, events, }: Props) => YoutubeHook;
export {};
